UI::Util::Http::RequestLine Class Reference

Parse and represent a request's request line. More...

`#include <Header.hpp>`

Collaboration diagram for UI::Util::Http::RequestLine:

## Public Member Functions

std::string | get () const
| Get composition.
Set (and validate) components.
RequestLine & | setMethod (Method const &method)
RequestLine & | setMethod (std::string const &method)
RequestLine & | setURI (std::string const &uri)
RequestLine & | setVersion (std::string const &version)
Get components.
Method const & | getMethod () const
std::string const & | getMethodStr () const
std::string const & | getURI () const
std::string const & | getVersion () const

## HTTP 1.1 methods and string mappings.

Note
  Be sure to always update both, Method and generateMethodMap().

enum | Method { Options_ , Get_ , Head_ , Post_ , Put_ , Delete_ , Trace_ , Connect_ }
static Method | str2Method (std::string const &method)
| RequestLine (Method const &method=Post_, std::string const &uri="/", std::string const &version="HTTP/1.1")
| Construct from components.
| RequestLine (std::string const &line)
| Construct from composition (parse).

## Detailed Description

Parse and represent a request's request line.

See also
  RFC 2616, 5.1.
  RFC 2616, 5.1.

Example request lines: "POST / HTTP/1.1", "GET /humbug&a=auchHumbug HTTP/1.1".

The documentation for this class was generated from the following files:

- Header.hpp
- Header.cpp